<?php
/**
 *
 * Show the product details page
 *
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Valerie Isaksen

 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_relatedproducts.php 5406 2012-02-09 12:22:33Z alatak $
 */

// Check to ensure this file is included in Joomla!
defined ( '_JEXEC' ) or die ( 'Restricted access' );
?>
<div class="product-related-products related-products-view" id="related-products">
	<h5 class="product-related-title">
		<?php echo JText::_('COM_VIRTUEMART_RELATED_PRODUCTS'); ?>	
	</h5>
	<div class="related-products ot-custom-vmproduct">
		<div class="vmproduct ot-custom-vmproduct-i">
			<?php $product_model = VmModel::getModel('product');
			foreach ($this->product->customfieldsRelatedProducts as $field) { 
				$product = $product_model->getProduct($field->custom_value); ?>
				<?php /*<div class="product-field product-field-type-<?php echo $field->field_type ?>">
					<span class="product-field-display"><?php echo $field->display ?></span>
					<span class="product-field-desc"><?php echo jText::_($field->custom_field_desc) ?></span>
				</div> */?>
				<div class="product floatleft">
					<div class="spacer">
						<div class="spacer-i">
							<div class="ot-custom-product">
								<div class="ot-custom-product-i">
									<div class="product-image">
										<?php $image = explode('>', $field->display);
										$image = $image[1].'>';
										echo JHTML::_('link', JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id='.$product->virtuemart_product_id.'&virtuemart_category_id='.$product->virtuemart_category_id),$image,array('title' => $product->product_name) );?>
									</div>
									
									<div class="clear"></div>
									<div class="product-name">
										<?php echo JHTML::link($product->link, $product->product_name); ?>
									</div>
									
									<div class="clear"></div>
									<div class="product-price-sku">
									
										<div class="product-price" id="productPrice<?php echo $this->product->virtuemart_product_id ?>">
											<?php
											if (!empty($this->product->prices)) {
												echo "<strong>" . JText::_ ('COM_VIRTUEMART_CART_PRICE') . "</strong>";
											}
											//vmdebug('view productdetails layout default show prices, prices',$this->product->prices);
											if (empty($this->product->prices) and VmConfig::get ('askprice', 1) and !$this->product->images[0]->file_is_downloadable) {
												?>
												<a class="ask-a-question bold" href="<?php echo $this->askquestion_url ?>"><?php echo JText::_ ('COM_VIRTUEMART_PRODUCT_ASKPRICE') ?></a>
												<?php
											}
											if ($this->showBasePrice) {
												echo $this->currency->createPriceDiv ('basePrice', 'COM_VIRTUEMART_PRODUCT_BASEPRICE', $this->product->prices);
												echo $this->currency->createPriceDiv ('basePriceVariant', 'COM_VIRTUEMART_PRODUCT_BASEPRICE_VARIANT', $this->product->prices);
											}
											echo $this->currency->createPriceDiv ('variantModification', 'COM_VIRTUEMART_PRODUCT_VARIANT_MOD', $this->product->prices);
											if ($this->product->prices['basePriceWithTax'] !== $this->product->prices['salesPrice']) {
												echo '<span class="price-crossed" >' . $this->currency->createPriceDiv ('basePriceWithTax', 'COM_VIRTUEMART_PRODUCT_BASEPRICE_WITHTAX', $this->product->prices) . "</span>";
											}
											if ($this->product->prices['salesPriceWithDiscount'] != $this->product->prices['salesPrice']) {
												echo $this->currency->createPriceDiv ('salesPriceWithDiscount', 'COM_VIRTUEMART_PRODUCT_SALESPRICE_WITH_DISCOUNT', $this->product->prices);
											}
											echo $this->currency->createPriceDiv ('salesPrice', 'COM_VIRTUEMART_PRODUCT_SALESPRICE', $this->product->prices);
											echo $this->currency->createPriceDiv ('priceWithoutTax', 'COM_VIRTUEMART_PRODUCT_SALESPRICE_WITHOUT_TAX', $this->product->prices);
											echo $this->currency->createPriceDiv ('discountAmount', 'COM_VIRTUEMART_PRODUCT_DISCOUNT_AMOUNT', $this->product->prices);
											echo $this->currency->createPriceDiv ('taxAmount', 'COM_VIRTUEMART_PRODUCT_TAX_AMOUNT', $this->product->prices);
											$unitPriceDescription = JText::sprintf ('COM_VIRTUEMART_PRODUCT_UNITPRICE', $this->product->product_unit);
											echo $this->currency->createPriceDiv ('unitPrice', $unitPriceDescription, $this->product->prices);

											?>
										</div>
										<div class="product-sku"><?php echo '#'.$product->product_sku; ?></div>
									</div>
									<div class="product-addtocart">
										<!--<p>-->
										<?php // Product Details Button
										//echo JHTML::link($product->link, JText::_('TPL_OT_VIEW_MORE'), array('title' => $product->product_name,'class' => 'product-details'));
										echo JHTML::link($product->link, JText::_('COM_VIRTUEMART_PRODUCT_DETAILS'), array('title' => $product->product_name,'class' => 'product-details'));
										?>
										<!--</p>-->
									</div>
									<?php //if ($product->showRating) { ?>
									<div class="product-rating">
										<?php $maxrating = VmConfig::get('vm_maximum_rating_scale',5);
										$ratingModel = VmModel::getModel('ratings');
										$rating = $ratingModel->getRatingByProduct($product->virtuemart_product_id);
										//$product->assignRef('rating', $rating);  
											if (empty($rating)) { ?>
												<span class="vote"><?php echo JText::_('COM_VIRTUEMART_UNRATED') ?></span>
												<span class="read-review"><?php echo JHTML::link($product->link, JText::_('TPL_OT_READ_REVIEW'), array('title' => $product->product_name,'class' => 'read-review'));?></span>
											<?php } else { 
												$ratingwidth = ( $rating->rating * 100 ) / $maxrating;//I don't use round as percetntage with works perfect, as for me
												?>
												<span class="vote">
													<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . $rating->rating . '/' . $maxrating) ?>" class="vmicon ratingbox" style="display:inline-block;">
														<span class="stars-orange" style="width:<?php echo $ratingwidth;?>%">
														</span>
													</span>
												</span>
												<span class="read-review"><?php echo JHTML::link($product->link, JText::_('TPL_OT_READ_REVIEW'), array('title' => $product->product_name,'class' => 'read-review'));?></span>
												<?php
											} ?>
									</div>
									<?php //} ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
